Index: INCL.H
===================================================================
--- INCL.H	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ INCL.H	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,16 +1,9 @@
-      implicit none
-      
+      implicit integer*4 (i-n)
+      implicit real*8 (a-h,o-z)	
       character*255 version
-      character*255 logString
-
-      integer MAX_REPLICA, MAX_PROC, mxml, mxrs, mxat, mxbd, mxath
-      integer mxvr, mxms, mxvw, mx14, mxvrh, mxtyat, mxhbdo
-      integer mxhbac, mxtybl, mxtyba, mxtyto, mxrt, mxvrrt, mxrtsu
-      integer nrsty
-      integer MAXLOGLEVEL, LOGFILEUNIT
-      double precision pi, pi2, pi4, crd, cdr, zero, one
-      integer izero, ione
-
-      parameter(MAX_PROC=2048)
+
+      integer MAX_REPLICA, MAX_PROC
+
+      PARAMETER(MAX_PROC=2048)
       parameter (MAX_REPLICA = 2048)                                       ! max. number of replicas
       parameter (mxml=10)                                                ! max. number of molecules
@@ -51,6 +44,4 @@
       integer seed
       integer enysolct
-      double precision boxsize
-      common /logging/MAXLOGLEVEL,LOGFILEUNIT
       common /counter/enysolct
       common /commonrandom/ seed
@@ -60,9 +51,6 @@
       integer workPerProcessor(0:mxml, 0:MAX_PROC)
       common/paral/myrank,no,my_mpi_comm,workPerProcessor
-      double precision beta
       common /bet/beta
 !==   For solvent============================
-      integer mxpoint, mxbox, mxinbox, mxtysol
-      double precision rwater
       parameter (mxpoint=2000)                                          !
       parameter(mxbox=80000)                                          !
@@ -72,9 +60,6 @@
 
 !==   Solvent types 
-      integer itysol
       logical isolscl
       common /isolty/ itysol, isolscl
-      double precision spoint, coef_sl, rad_vdw, surfres, rsstrg
-      integer npnt
       common /tes/ spoint(mxpoint,3)
       common /pnt/ npnt
@@ -85,19 +70,15 @@
 
 !----  The vdW radii of the atoms and solvation coefficients
-       double precision rvdw, sigma
        common /solvent/ rvdw(mxat),sigma(mxat)
 
 !     vdvol - van der Waals volume of the molecule
 !     asa   - Surface of molecule
-      double precision vdvol, asa, asap, asah
       common /v_sol/ vdvol,asa,asap,asah
 
 !     gradan - analytical gradients of solv. energy against atomic coordinates
-      double precision gradan
       common /deriv/ gradan(mxat,3)
 
 
 !-----For calculation of hydrogen bonds
-      integer mxtyhb, ntyhb, ixtyhb, nutyhb, mmhb, nvr
       parameter(mxtyhb=100) !  Maximum number of hydrogen bond types
       common /h_bond/ ntyhb,ixtyhb(mxtyhb),nutyhb(mxtyhb),              &
@@ -105,7 +86,6 @@
 !-----For molecule parameter
       common/mol_par/ nvr
-      
+
 !-----Hydrophobic/polar radius of gyration
-      double precision rgyh, rgyp
       common /rgy/ rgyh, rgyp
 !=======================================  
@@ -121,10 +101,9 @@
 ! simple pivot update and BGS
       logical rndord
-      integer upchswitch, idloa, idloz, idupa, idupz
+      integer upchswitch
       double precision bgsprob
       common /updchois/rndord,upchswitch,bgsprob
       common /con_i/ idloa,idloz,idupa,idupz      
 !---- The contact matrix and the indices of C_alpha atoms
-      integer ijcont, ind_alf, iref, nci
       common/cont_i_j/ ijcont(mxrs,mxrs),ind_alf(mxrs)
       common /jref/ iref(mxrs,mxrs),nci
@@ -144,5 +123,5 @@
 !  varfil - name of file with commands to set variables
 !  rstfil - name of file with variable restraints
-      integer lunlib, lunseq, lunchg, lunvar, lunrst
+
       common /fil_i/ lunlib,lunseq,lunchg,lunvar,lunrst
       character reslib*80,seqfil*80,chgfil*80,varfil*80,rstfil*80
@@ -167,6 +146,5 @@
 !  gbpr - 6 global parameters per molecule (3 shifts, 3 angles)
 ! --------------------------------------------------------------------
-      integer ntlml, irsml1, irsml2, ivrml1, nvrml, imsml1, nmsml
-      integer iadml1, nadml, ixrfpt, ixatp, ireg
+
       common /mol_i/ ntlml,irsml1(mxml),irsml2(mxml),ivrml1(mxml),      &
      &nvrml(mxml),imsml1(mxml),nmsml(mxml),iadml1(mxml),nadml(mxml)     &
@@ -182,6 +160,5 @@
       common /mol_c/ nmml
 
-! ----------------------------------------- 
-      double precision rfpt, gbpr, xrfax, yrfax, zrfax
+! ----------------------------------------- new
       common /mol_r/ rfpt(3,mxml),gbpr(6,mxml),                         &
      &xrfax(3,mxml),yrfax(3,mxml),zrfax(3,mxml)
@@ -192,5 +169,5 @@
 !  ivrrs1,nvrrs  - index of 1st/number of local variable for residue
 !  seq    - names of residues
-      integer iatrs1, iatrs2, ixatrs, ivrrs1, nvrrs
+
       common /res_i/ iatrs1(mxrs),iatrs2(mxrs),ixatrs(mxrs),ivrrs1(mxrs)&
      &              ,nvrrs(mxrs)
@@ -224,8 +201,5 @@
 !  zat    - |
 !  nmat   - atom name
-      integer ityat, iowat, iyowat, nbdat, ibdat, iybdat, ixmsat
-      double precision xbaat, ybaat, zbaat, baat, snbaat, csbaat, xtoat
-      double precision ytoat, ztoat, toat, sntoat, cstoat, blat, xat
-      double precision yat, zat, cgat
+
       common /atm_i/ ityat(mxat),iowat(mxat),iyowat(mxat),nbdat(mxat),  &
      &               ibdat(mxbd,mxat),iybdat(mxbd,mxat),ixmsat(mxat)    
@@ -257,7 +231,4 @@
 !  fxvr - .true. if variable will be fixed throughout calculations
 
-      double precision olvlvr, vlvr, axvr
-      integer iatvr, ityvr, iclvr, iorvr, imsvr1, imsvr2, latms1
-      integer latms2, iadvr1, iadvr2, ladvr, idvr
       common /var_r/ olvlvr(mxvr),vlvr(mxvr),axvr(mxvr)
       common /var_i/ iatvr(mxvr),ityvr(mxvr),iclvr(mxvr),iorvr(mxvr),   &
@@ -280,6 +251,5 @@
 !  eps_s - distance-INdependent diel. constant
 !  do_s,ac_s - flag to define atom-types serving as donors/acceptors in HB
-      double precision ehm, atpl, efel, emin, rmin, chb_s, ahb_s, e0to_s
-      double precision sgto_s, rnto_s, eps_s
+
       common /sche_r/ ehm,atpl(mxtyat),efel(mxtyat),emin(mxtyat),       &
      &    rmin(mxtyat),chb_s(mxhbdo,mxhbac),ahb_s(mxhbdo,mxhbac),       &
@@ -298,6 +268,4 @@
 !  do_f,ac_f - flags atom-types serving as donors/acceptors in HB
 
-      double precision c_f, a_f, chb_f, ahb_f, e0to_f, sgto_f, rnto_f
-      double precision plt_f, slp_f, cohb_f
       common /flex_r/ c_f(mxtyat,mxtyat),a_f(mxtyat,mxtyat),            &
      &            chb_f(mxhbdo,mxhbac),ahb_f(mxhbdo,mxhbac),            &
@@ -322,7 +290,5 @@
 !  ientyp : 0 => ECEPP, 1 => FLEX, 2 => Lund, 3 => ECEPP+Abagyan
 !  tesgrd - .true. if GRADTEST to be included
-      integer ihbty, ientyp
-      double precision cij, aij, a14, chb, ahb, e0to, sgto, rnto, esnto
-      double precision conv, plt, slp, cohb
+
       common /epar_i/ ihbty(mxtyat,mxtyat)
       common /epar_r/ cij(mxtyat,mxtyat),aij(mxtyat,mxtyat),            &
@@ -352,9 +318,4 @@
 !  wtey - weight to energy & energy gradient
 !  wtrg - weight to reg. target & its gradient
-      integer nvwml, ivwml1, n14ml, i14ml1, ivwat1, ivwat2, i14at1
-      integer i14at2, lvwat1, lvwat2, l14at, ixatvw, ixat14
-      double precision eyel, eyvw, eyhb, eyvr, eysm, eysl, eyrg, eyslh
-      double precision eyslp, eyab, eysmi, eyhbi, eyeli, eyvwi, gdeyvr
-      double precision gdeyrg, gdeysl, gdeygb, wtey, wtrg
       common /eny_i/ nvwml(mxml),ivwml1(mxml),n14ml(mxml),i14ml1(mxml), &
      &               ivwat1(mxat),ivwat2(mxat),i14at1(mxat),i14at2(mxat)&
@@ -379,7 +340,4 @@
 !  i1vrsu,i2vrsu - 1st,last pointer in 'ipvrsu' per var. subset
 !  ipvrsu - pointers var. subset -> variables
-      integer ntlrt, ntlsu, i1vrrt, i2vrrt, i1rtsu, nrtsu
-      integer iprtsu, i1vrsu, i2vrsu, ipvrsu
-      double precision pbrt, vuvrrt, dvvrrt
 
       common /rstr_i/ ntlrt,ntlsu,i1vrrt(mxrt),i2vrrt(mxrt),            &
@@ -396,7 +354,5 @@
 
 !   arrays for help
-      integer ityath, iowath, iyowath, nbdath, ibdath, iybdath, ityvrh
-      integer iclvrh, iatvrh
-      double precision blath, baath, toath, cgath
+
       common /help_i/ ityath(mxath),iowath(mxath),iyowath(mxath),       &
      &                nbdath(mxath),ibdath(mxbd,mxath),                 &
